# Class: PrefixQuery

## helma.Search.PrefixQuery(field, str)

Instances of this class represent a prefix query

## Constructor

#### new PrefixQuery(field, str)

Constructs a new helma.Search.PrefixQuery instance.

##### Parameters:

Name | Type | Description
--- | --- | ---
`field` | String | The name of the field
`str` | String | The query string to match

Source:
  - helma/Search.js, line 1054

##### Returns:

A newly created PrefixQuery instance

### Extends

- helma.Search.Query

### Members

#### query :org.apache.lucene.search.PrefixQuery

Contains the wrapped PrefixQuery instance

##### Type:

- org.apache.lucene.search.PrefixQuery

Overrides:
  - helma.Search.Query#query
Source:
  - helma/Search.js, line 1060

### Methods

#### getBoost()

Returns the boost factor of this query.

Inherited From:
  - helma.Search.Query#getBoost
Source:
  - helma/Search.js, line 845

#### getQuery()

Returns the wrapped Lucene Query object.

Inherited From:
  - helma.Search.Query#getQuery
Source:
  - helma/Search.js, line 832

##### Returns:

The wrapped query object

#### setBoost(fact)

Sets the boost factor of this query clause to the given number. Documents matching this query will have their score multiplied with the given factor

##### Parameters:

Name | Type | Description
--- | --- | ---
`fact` | Number | The factor to multiply the score of matching documents with.

Inherited From:
  - helma.Search.Query#setBoost
Source:
  - helma/Search.js, line 857